CVE-2017-13710

Priority
Description
The setup_group function in elf.c in the Binary File Descriptor (BFD)
library (aka libbfd), as distributed in GNU Binutils 2.29, allows remote
attackers to cause a denial of service (NULL pointer dereference and
application crash) via a group section that is too small.
Notes
 sbeattie> commit for 2.29 is part of a larger backport
Package
Upstream:released (2.29.1)
Ubuntu 12.04 ESM (Precise Pangolin):needs-triage
Trusty/esm:needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.29.1-1ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2.29.1-1ubuntu1)
Ubuntu 19.04 (Disco Dingo):not-affected (2.29.1-1ubuntu1)
Ubuntu 19.10 (Eoan):not-affected (2.29.1-1ubuntu1)
Patches:
Upstream:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=0c54f69295208331faab9bc5e995111a35672f9b
Upstream:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=d6f8dea6798528de0fc762409595251eeeb1f547 (v2.29)
More Information

Updated: 2019-04-26 14:19:46 UTC (commit 30899e40836d26e1bb5f0b072d31fd87b6cf3bd4)